Bug 136698 - 3.0 installer breaks on rpm dependency
3.0 installer breaks on rpm dependency
Status: CLOSED DUPLICATE of bug 134671
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
360
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Max Spevack
:
Depends On:
Blocks: rhn360sat
  Show dependency treegraph
 
Reported: 2004-10-21 15:31 EDT by Max Spevack
Modified: 2007-07-31 11:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:06:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-10-21 15:31:42 EDT
Description of problem:
*** Installing RHN Satellite packages:
ERROR: RPM dependency error.  The message was:
Dependencies should have already been resolved, but they are not.
Unresolved rpm dependencies:
 
Package rpm-build-4.2.2-0.14 requires rpm = 4.2.2

---

The version of rpm that was on the machine was 4.2.3-10
Comment 1 Mihai Ibanescu 2004-10-21 16:11:38 EDT
rpm-build is no longer part of that directory. You will have to
install it by hand now (and chip is working on a change on install.sh
to stop if you don't have the four packages required: rpm-build,
compat-libstdc++, perl-Time-HiRes and perl-CGI)
Comment 2 Clay Murphy 2004-10-21 16:38:38 EDT
This is oh so customer facing.
Comment 3 Todd Warner 2004-10-28 15:04:29 EDT
ON_DEV/QA_READY --> ON_QA (webQA and RHN Sat ISO/package push complete)
Comment 4 Todd Warner 2004-10-28 15:51:31 EDT
ON_DEV/QA_READY --> ON_QA (webQA and RHN Sat ISO/package push complete) REALLY!
Comment 5 Max Spevack 2004-11-06 01:48:50 EST
Addressed in a different bug.

*** This bug has been marked as a duplicate of 134671 ***
Comment 6 Red Hat Bugzilla 2006-02-21 14:06:32 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.